Package org.bukkit.material

# Class Wood

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Wood

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `Leaves`, `Sapling`, `Tree`, `WoodenStep`

@Deprecated public class Wood extends MaterialData
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents wood blocks of different species.

See Also:
  - `Material.LEGACY_WOOD`
  - `Material.LEGACY_SAPLING`
  - `Material.LEGACY_WOOD_DOUBLE_STEP`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final TreeSpecies`
`DEFAULT_SPECIES`
Deprecated.
`protected static final Material`
`DEFAULT_TYPE`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`Wood()`
Deprecated.
Constructs a wood block.
`Wood(Material type)`
Deprecated.
Constructs a wood block of the given type.
`Wood(Material type, byte data)`
Deprecated.
Magic value
`Wood(Material type, TreeSpecies species)`
Deprecated.
Constructs a wood block of the given type and tree species.
`Wood(TreeSpecies species)`
Deprecated.
Constructs a wood block of the given tree species.

## Method Summary

Modifier and Type
Method
Description
`Wood`
`clone()`
Deprecated.
`TreeSpecies`
`getSpecies()`
Deprecated.
Gets the current species of this wood block
`void`
`setSpecies(TreeSpecies species)`
Deprecated.
Sets the species of this wood block
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_TYPE

protected static final Material DEFAULT_TYPE
Deprecated.

### DEFAULT_SPECIES

protected static final TreeSpecies DEFAULT_SPECIES
Deprecated.

## Constructor Details

### Wood

public Wood()
Deprecated.
Constructs a wood block.

### Wood

public Wood(TreeSpecies species)
Deprecated.
Constructs a wood block of the given tree species.

Parameters:
  `species` - the species of the wood block

### Wood

public Wood(Material type)
Deprecated.
Constructs a wood block of the given type.

Parameters:
  `type` - the type of wood block

### Wood

public Wood(Material type, TreeSpecies species)
Deprecated.
Constructs a wood block of the given type and tree species.

Parameters:
  `type` - the type of wood block
  `species` - the species of the wood block

### Wood

@Deprecated public Wood(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getSpecies

public TreeSpecies getSpecies()
Deprecated.
Gets the current species of this wood block

Returns:
  TreeSpecies of this wood block

### setSpecies

public void setSpecies(TreeSpecies species)
Deprecated.
Sets the species of this wood block

Parameters:
  `species` - New species of this wood block

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Wood clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`